Bug 874436 - nqp tests fail on ARM
nqp tests fail on ARM
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nqp (Show other bugs)
19
arm7 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gerd Pokorra
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-11-08 03:07 EST by Peter Robinson
Modified: 2013-04-17 11:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-17 11:31:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-11-08 03:07:37 EST
With the fix pushed to build with PIC the nqp now builds on ARM but certain tests still fail.

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1240294

There's an upstream thread documenting the issues we're seeing here

http://www.nntp.perl.org/group/perl.perl6.compiler/2012/06/msg8251.html
Comment 1 Fedora End Of Life 2013-04-03 10:58:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Peter Robinson 2013-04-13 04:15:45 EDT
Any update?
Comment 3 Gerd Pokorra 2013-04-17 03:45:31 EDT
I think it may be the Byte Order (Big Endian <-> Little Endian). The ARM-Architecture has the opposite byte order than i386, x86.

Is the corresponding Parrot-RPM already in the ARM-F19-Repository?
Comment 4 Peter Robinson 2013-04-17 03:58:25 EDT
(In reply to comment #3)
> I think it may be the Byte Order (Big Endian <-> Little Endian). The
> ARM-Architecture has the opposite byte order than i386, x86.

ARM on Fedora, like x86, is little endian so that's not the problem. ARM does have the ability to run in both little and big endian but all current Linux distributions use little endian. That's what the l in armv7hl stands for :)
Comment 5 Gerd Pokorra 2013-04-17 08:05:34 EDT
Here is a hasty reaction:

So may be in the Parrot sources the line

$cpuarch =~ s/armv[34]l?/arm/i;

in the file

config/auto/arch.pm

have to be changed.
Comment 6 Gerd Pokorra 2013-04-17 10:26:35 EDT
Hey Peter,

there is a build of nqp-0.0.2013.01-1.fc19 from you at ARM.
Comment 7 Gerd Pokorra 2013-04-17 11:31:29 EDT
Even the rakudo-star-0.0.2012_5.0.0-1.fc19 build on top of NQP is there. So there should be no problem with NQP from the package nqp-0.0.2013.01-1.fc19.

Note You need to log in before you can comment on or make changes to this bug.